## org.apache.fop.fo.expr
Class NCnameProperty

    java.lang.Object
      |
      +--org.apache.fop.fo.Property
            |
            +--org.apache.fop.fo.expr.NCnameProperty

public class NCnameProperty
extends Property

Inner classes inherited from class org.apache.fop.fo.Property
`Property.Maker`

Constructor Summary
`NCnameProperty(java.lang.String ncName)`

Method Summary
`ColorType` `getColor()`
`java.lang.String` `getNCname()`
`java.lang.String` `getString()` Return the name as a String (should be specified with quotes!)

Methods inherited from class org.apache.fop.fo.Property
`getCharacter, getColorType, getCondLength, getEnum, getKeep, getLength, getLengthRange, getNumber, getNumeric, getObject, getSpace, getSpecifiedValue, setSpecifiedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NCnameProperty

    public NCnameProperty(java.lang.String ncName)

Method Detail

### getColor

    public ColorType getColor()
                       throws PropertyException

### getString

    public java.lang.String getString()

  Return the name as a String (should be specified with quotes!)
  Overrides:
    getString in class Property

### getNCname

    public java.lang.String getNCname()

  Overrides:
    getNCname in class Property

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.